﻿using Luxand;
using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;

namespace Face_Recognition
{
    public class Program
    {
        public static void Main(string[] args)
        {
            if (FSDK.ActivateLibrary("") 
                != FSDK.FSDKE_OK)
            {
                throw new System.Exception("Error Activating Luxand FaceSDK");
            }
            FSDK.InitializeLibrary();
            CreateWebHostBuilder(args).Build().Run();
            FSDK.FinalizeLibrary();
        }

        public static IWebHostBuilder CreateWebHostBuilder(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
                .UseStartup<Startup>();
    }
}
